Package org.htmlunit

# Enum Class DefaultPageCreator.PageType

java.lang.Object
java.lang.Enum<DefaultPageCreator.PageType>
org.htmlunit.DefaultPageCreator.PageType

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultPageCreator.PageType>`, `Constable`

Enclosing class:
  `DefaultPageCreator`

public static enum DefaultPageCreator.PageType extends Enum<DefaultPageCreator.PageType>
The different supported page types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HTML`
  html.
  `JAVASCRIPT`
  javascript.
  `TEXT`
  text.
  `UNKNOWN`
  unknown.
  `XML`
  xml.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultPageCreator.PageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DefaultPageCreator.PageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HTML

    public static final DefaultPageCreator.PageType HTML
    html.

  - ### JAVASCRIPT

    public static final DefaultPageCreator.PageType JAVASCRIPT
    javascript.

  - ### XML

    public static final DefaultPageCreator.PageType XML
    xml.

  - ### TEXT

    public static final DefaultPageCreator.PageType TEXT
    text.

  - ### UNKNOWN

    public static final DefaultPageCreator.PageType UNKNOWN
    unknown.

- ## Method Details

  - ### values

    public static DefaultPageCreator.PageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DefaultPageCreator.PageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null